Certbot renew error please help

Please fill out the fields below so we can help you better. Note: you must provide your domain name to get help. Domain names for issued certificates are all made public in Certificate Transparency logs (e.g. crt.sh | example.com), so withholding your domain name here does not increase secrecy, but only makes it harder for us to provide help.

My domain is: fmsharetw.com

I ran this command: sudo Certbot renew

It produced this output:

Saving debug log to /var/log/letsencrypt/letsencrypt.log


Processing /etc/letsencrypt/renewal/fmsharetw.com-0001.conf


Attempting to parse the version 0.38.0 renewal configuration file found at /etc/letsencrypt/renewal/fmsharetw.com-0001.conf with version 0.31.0 of Certbot. This might not work.
Cert is due for renewal, auto-renewing...
Plugins selected: Authenticator webroot, Installer None
Starting new HTTPS connection (1): acme-v02.api.letsencrypt.org
Renewing an existing certificate
Performing the following challenges:
http-01 challenge for enlighten.fmsharetw.com
http-01 challenge for fmsharetw.com
http-01 challenge for midnight.fmsharetw.com
http-01 challenge for www.fmsharetw.com
Cleaning up challenges
Encountered exception during recovery:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/certbot/auth_handler.py", line 75, in handle_authorizations
resp = self._solve_challenges(aauthzrs)
File "/usr/lib/python3/dist-packages/certbot/auth_handler.py", line 139, in _solve_challenges
resp = self.auth.perform(all_achalls)
File "/usr/lib/python3/dist-packages/certbot/plugins/webroot.py", line 83, in perform
self._create_challenge_dirs()
File "/usr/lib/python3/dist-packages/certbot/plugins/webroot.py", line 172, in _create_challenge_dirs
stat_path = os.stat(path)
FileNotFoundError: [Errno 2] No such file or directory: '/home/bitnami/apps/wordpress/htdocs'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/certbot/error_handler.py", line 108, in _call_registered
self.funcs-1
File "/usr/lib/python3/dist-packages/certbot/auth_handler.py", line 323, in _cleanup_challenges
self.auth.cleanup(achalls)
File "/usr/lib/python3/dist-packages/certbot/plugins/webroot.py", line 224, in cleanup
os.remove(validation_path)
FileNotFoundError: [Errno 2] No such file or directory: '/home/bitnami/apps/wordpress/htdocs/.well-known/acme-challenge/-FxtLWLp0UtyLFGS8GfAuzDi5LX4M0t9WIACoYCTnD0'
Attempting to renew cert (fmsharetw.com-0001) from /etc/letsencrypt/renewal/fmsharetw.com-0001.conf produced an unexpected error: [Errno 2] No such file or directory: '/home/bitnami/apps/wordpress/htdocs'. Skipping.


Processing /etc/letsencrypt/renewal/fmsharetw.com.conf


Attempting to parse the version 0.34.2 renewal configuration file found at /etc/letsencrypt/renewal/fmsharetw.com.conf with version 0.31.0 of Certbot. This might not work.
Cert is due for renewal, auto-renewing...
Plugins selected: Authenticator webroot, Installer None
Starting new HTTPS connection (1): acme-v02.api.letsencrypt.org
Renewing an existing certificate
Performing the following challenges:
http-01 challenge for rj.fmsharetw.com
http-01 challenge for www.rj.fmsharetw.com
http-01 challenge for fmsharetw.com
http-01 challenge for www.fmsharetw.com
Cleaning up challenges
Encountered exception during recovery:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/certbot/auth_handler.py", line 75, in handle_authorizations
resp = self._solve_challenges(aauthzrs)
File "/usr/lib/python3/dist-packages/certbot/auth_handler.py", line 139, in _solve_challenges
resp = self.auth.perform(all_achalls)
File "/usr/lib/python3/dist-packages/certbot/plugins/webroot.py", line 83, in perform
self._create_challenge_dirs()
File "/usr/lib/python3/dist-packages/certbot/plugins/webroot.py", line 172, in _create_challenge_dirs
stat_path = os.stat(path)
FileNotFoundError: [Errno 2] No such file or directory: '/home/bitnami/apps/wordpress/htdocs'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/certbot/error_handler.py", line 108, in _call_registered
self.funcs-1
File "/usr/lib/python3/dist-packages/certbot/auth_handler.py", line 323, in _cleanup_challenges
self.auth.cleanup(achalls)
File "/usr/lib/python3/dist-packages/certbot/plugins/webroot.py", line 224, in cleanup
os.remove(validation_path)
FileNotFoundError: [Errno 2] No such file or directory: '/home/bitnami/apps/wordpress/htdocs/.well-known/acme-challenge/-FxtLWLp0UtyLFGS8GfAuzDi5LX4M0t9WIACoYCTnD0'
Attempting to renew cert (fmsharetw.com) from /etc/letsencrypt/renewal/fmsharetw.com.conf produced an unexpected error: [Errno 2] No such file or directory: '/home/bitnami/apps/wordpress/htdocs'. Skipping.
All renewal attempts failed. The following certs could not be renewed:
/etc/letsencrypt/live/fmsharetw.com-0001/fullchain.pem (failure)
/etc/letsencrypt/live/fmsharetw.com/fullchain.pem (failure)


All renewal attempts failed. The following certs could not be renewed:
/etc/letsencrypt/live/fmsharetw.com-0001/fullchain.pem (failure)
/etc/letsencrypt/live/fmsharetw.com/fullchain.pem (failure)


2 renew failure(s), 0 parse failure(s)

My web server is (include version): Apache/2.4.37

The operating system my web server runs on is (include version): Unix

My hosting provider, if applicable, is: Aws EC2

I can login to a root shell on my machine (yes or no, or I don't know): yes

I'm using a control panel to manage my site (no, or provide the name and version of the control panel): MacOS terminal

The version of my client is (e.g. output of certbot --version or certbot-auto --version if you're using Certbot): certbot 0.31.0

Hi @jinnit00, and welcome to the LE community forum :slight_smile:

These two don't go well together:

Please search for related topics that explain how to install/update certs with Bitnami.

1 Like